# test3: univariate robust cubic regression spline with data transformation.
# Uses transformed test data from test1 and test2
par(mfrow=c(3,3))

junk_br(xs=x.test2.1,y=exp(y.test2.1),outlier=T,trans=T)
plot(x.test2.1,exp(y.test2.1),main="data")
plot(junk$xplot,junk$yplot+junk$beta[1],type="l",main="function estimate")
plot(junk$delta,xlab="obsn.",ylab="prob. of outlier")
print(junk$tab)

junk_br(xs=x.test1.2,y=y.test1.2+2,outlier=T,trans=T)
plot(x.test1.2,y.test1.2+2,main="data")
plot(junk$xplot,junk$yplot+junk$beta[1],type="l",main="function estimate")
plot(junk$delta,xlab="obsn.",ylab="prob. of outlier")
print(junk$tab)

junk_br(xs=x.test1.3,y=sqrt(y.test1.3+1.5),outlier=T,trans=T)
plot(x.test1.3,sqrt(y.test1.3+1.5),main="data")
plot(junk$xplot,junk$yplot+junk$beta[1],type="l",main="function estimate")
plot(junk$delta,xlab="obsn.",ylab="prob. of outlier")
print(junk$tab)
